# Yahoo! UI Library

### editor 2.5.2

Yahoo! UI Library > editor > YAHOO.widget.ToolbarButtonAdvanced

Show Private Show Protected

## Class YAHOO.widget.ToolbarButtonAdvanced

Creates a rich custom Toolbar Button. Primarily used with the Rich Text Editor's Toolbar

### Constructor

YAHOO.widget.ToolbarButtonAdvanced `( el , attrs )`

Parameters:
  `el <String/HTMLElement>` The element to turn into a button.
  `attrs <Object>` Object liternal containing configuration parameters.

### Properties

#### buttonType `- private object`

Tells if the Button is a Rich Button or a Simple Button

### Methods

#### checkValue

`void checkValue ( value )`
Select an option by value

Parameters:
  `value <String>` The value of the option that we want to mark as selected

Returns: `void`

Copyright © 2007 Yahoo! Inc. All rights reserved.